"use strict";
const common_vendor = require("../../../../../common/vendor.js");
const sheep_index = require("../../../../index.js");
require("./index.js");
async function getImagePath(imagePath) {
  return new Promise((resolve, reject) => {
    console.log(imagePath);
    common_vendor.wx$1.getImageInfo({
      src: imagePath,
      success: (res) => {
        resolve(res.path);
      },
      fail: (err) => {
        reject(err);
      }
    });
  });
}
const user = async (poster) => {
  const width = poster.width;
  const userInfo = sheep_index.sheep.$store("user").userInfo;
  return {
    background: await getImagePath("/static/user-poster-bg.jpg"),
    // background: window.location.origin + '/static/user-poster-bg.jpg',
    list: [
      {
        name: "nickname",
        type: "text",
        val: userInfo.nickname,
        x: width / 2,
        y: width * 0.4,
        paintbrushProps: {
          textAlign: "center",
          fillStyle: "#333",
          font: {
            fontSize: 14,
            fontFamily: "sans-serif"
          }
        }
      },
      {
        name: "avatar",
        type: "image",
        val: poster.avatar,
        x: width * 0.4,
        y: width * 0.16,
        width: width * 0.2,
        height: width * 0.2,
        d: width * 0.2
      },
      {
        name: "wxacode",
        type: "image",
        val: sheep_index.sheep.$api.third.wechat.getWxacode(poster.shareInfo.path),
        x: width * 0.35,
        y: width * 0.84,
        width: width * 0.3,
        height: width * 0.3
      }
    ]
  };
};
exports.user = user;
